﻿// Copyright © 2019 UiPath. All rights reserved.

using System;
using System.Threading;

namespace UiPathTeam.ParallelTest.Activities
{
    public static class Helper
    {
        /// <summary>
        /// System.Console.WriteLine呼び出しを指定された回数だけ繰り返します。
        /// </summary>
        /// <param name="message">他者と区別できるメッセージ</param>
        /// <param name="repetition">繰り返し回数</param>
        /// <param name="interval">繰り返し間隔(ミリ秒)</param>
        public static void RepeatWriteLine(string message, int repetition, int interval)
        {
            for (int i = 1; i <= repetition; i++)
            {
                Console.WriteLine("[{0}] {1}", i, message);
                Thread.Sleep(interval);
            }
        }
    }
}
