﻿// Copyright © 2019 UiPath. All rights reserved.

using System.Activities;
using System.ComponentModel;

namespace UiPathTeam.ParallelTest.Activities
{
    [DisplayName("同期アクティビティ")]
    public class SyncWriteLine : CodeActivity
    {
        [DisplayName("メッセージ")]
        [Category("入力")]
        public InArgument<string> Message { get; set; }

        [DisplayName("回数")]
        [Category("入力")]
        public InArgument<int> Repetition { get; set; }

        [DisplayName("インターバル(ミリ秒)")]
        [Category("入力")]
        public InArgument<int> Interval { get; set; }

        [DisplayName("画像ファイルのパス")]
        [Category("入力(デザイン時)")]
        public string ImagePath { get; set; }

        protected override void Execute(CodeActivityContext context)
        {
            Helper.RepeatWriteLine(Message.Get(context), Repetition.Get(context), Interval.Get(context));
        }
    }
}
